Run optional labs locally: Type Error

You have to be sure you have compatible versions of all of the tools. In particular, Coursera Labs does not necessarily use the latest versions of anything.

See the FAQ, it discusses this topic:

Specifically, item C.4.